Page MenuHomePhabricator

Wikibooks Special:UnusedFiles throws Internal Error
Closed, ResolvedPublic

Description

Trying to access Special:UnusedFiles on Wikibooks throws the following error:

2018-05-09 21:45:27 [WvNr9wpAAEYAADLcbywAAAAV] mw1275 enwikibooks 1.32.0-wmf.3 exception ERROR: [WvNr9wpAAEYAADLcbywAAAAV] /wiki/Special:UnusedFiles   MWException from line 167 of /srv/mediawiki/php-1.32.0-wmf.3/includes/Hooks.php: Invalid callback Wikibase\LibHooks::onGalleryGetModes in hooks for GalleryGetModes
 {"exception_id":"WvNr9wpAAEYAADLcbywAAAAV","exception_url":"/wiki/Special:UnusedFiles","caught_by":"mwe_handler"} 
[Exception MWException] (/srv/mediawiki/php-1.32.0-wmf.3/includes/Hooks.php:167) Invalid callback Wikibase\LibHooks::onGalleryGetModes in hooks for GalleryGetModes

  #0 /srv/mediawiki/php-1.32.0-wmf.3/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
  #1 /srv/mediawiki/php-1.32.0-wmf.3/includes/gallery/ImageGalleryBase.php(133): Hooks::run(string, array)
  #2 /srv/mediawiki/php-1.32.0-wmf.3/includes/gallery/ImageGalleryBase.php(103): ImageGalleryBase::loadModes()
  #3 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/ImageQueryPage.php(48): ImageGalleryBase::factory(boolean, RequestContext)
  #4 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/QueryPage.php(671): ImageQueryPage->outputResults(OutputPage, SkinVector, Wikimedia\Rdbms\DatabaseMysqli, Wikimedia\Rdbms\ResultWrapper, integer, integer)
  #5 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/SpecialPage.php(522): QueryPage->execute(NULL)
  #6 /srv/mediawiki/php-1.32.0-wmf.3/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(NULL)
  #7 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
  #8 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(861): MediaWiki->performRequest()
  #9 /srv/mediawiki/php-1.32.0-wmf.3/includes/MediaWiki.php(524): MediaWiki->main()
  #10 /srv/mediawiki/php-1.32.0-wmf.3/index.php(42): MediaWiki->run()
  #11 /srv/mediawiki/w/index.php(3): include(string)
  #12 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2018, 9:48 PM
Az1568 added a subscriber: Az1568.May 9 2018, 9:57 PM

Change 432318 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Remove wgHooks entry for GalleryGetModes

https://gerrit.wikimedia.org/r/432318

Change 432325 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.3] Remove wgHooks entry for GalleryGetModes

https://gerrit.wikimedia.org/r/432325

Change 432318 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove wgHooks entry for GalleryGetModes

https://gerrit.wikimedia.org/r/432318

Change 432325 merged by Hoo man:
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.3] Remove wgHooks entry for GalleryGetModes

https://gerrit.wikimedia.org/r/432325

Mentioned in SAL (#wikimedia-operations) [2018-05-10T00:26:53Z] <hoo@tin> Synchronized php-1.32.0-wmf.2/extensions/Wikibase/lib/WikibaseLib.php: Remove wgHooks entry for GalleryGetModes (T194316) (duration: 01m 20s)

Mentioned in SAL (#wikimedia-operations) [2018-05-10T00:28:55Z] <hoo@tin> Synchronized php-1.32.0-wmf.3/extensions/Wikibase/lib/WikibaseLib.php: Remove wgHooks entry for GalleryGetModes (T194316) (duration: 01m 16s)

Vvjjkkii renamed this task from Wikibooks Special:UnusedFiles throws Internal Error to n9caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed hoo as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from n9caaaaaaa to Wikibooks Special:UnusedFiles throws Internal Error .Jul 1 2018, 2:40 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to hoo.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM